################################################################################
#                                                                              #
#             Purpose: This config file is used to perform basic               #
#                      configuration by providing following properties.        #
#                                                                              #
#             Note : For TCP\TLS only their required parameter need to         #
#                    be configured. Refer docs for more details.               #
#                                                                              #
#                                                                              #
################################################################################
# The SERVER_IP is the IP address or hostname of the CipherTrust Manager which #
# will be updated in CADP_PKCS11.properties files.                             #
SERVER_IP=
# The SERVER_PORT parameter specifies the port on which the client             #
# communicates with the CipherTrust Manager.                                   #
SERVER_PORT=9000
# The SERVER_PROTOCOL parameter specifies the protocol used for communication  #
# between the client and server. ssl/tcp                                       #
SERVER_PROTOCOL=tcp
# The Log_Level parameter determines the level of logging performed by the     #
# client. NONE/ERROR/WARN/INFO                                                 #
LOG_LEVEL=WARN
# The NAE_USER parameter refers to the username associated with the user       #
# account to use to log into the CipherTrust Manager.                          #
NAE_USER=
# The NAE_PASSWORD parameter refers to the password (associated with the       #
# username defined in NAE_USER) to log into the CipherTrust Manager.           #
NAE_PASSWORD=
# The PASSPHRASE parameter refers to the passphrase associated with the        #
# client's private key.                                                        #
PASSPHRASE=
# The USER_CREDENTIALS_ENCRYPTED parameter refers to the state of the user     #
# credentials (NAE_USER, NAE_PASSWORD and PASSPHRASE) whether user credentials #
# are provided in plain or encrypted format. These credentials can only be     #
# encrypted using PassPhraseSecure utility. (Y/N)                              #
USER_CREDENTIALS_ENCRYPTED=
# The COUNTRY parameter refers to the name of the country where your company   #
# or organization is legally incorporated.                                     #
COUNTRY=US
# The STATE parameter refers to the name of state or province where your       #
# company or organization is legally incorporated. Make sure you do not use    #
# an abbreviation.                                                             #
STATE=California
# The CITY parameter refers to the name of the city where your company or      #
# organization is legally incorporated. Make sure you do not use               #
# an abbreviation.                                                             #
CITY=San Jose
# The ORG parameter refers the full legal name of your company or              #
# organization. Do not use an abbreviation. For example, Thales.               #
ORG=Thales
# The ORG_UNIT parameter refers to the name of your business unit or           #
# department within your company or organization. For example, Marketing       #
# or Engineering.                                                              #
ORG_UNIT=DIS
# The COMMON_NAME parameter refers to the FQDN (fully-qualified domain name)   #
# you want to secure with the certificate. For example, www.thalesgroup.com.   #
COMMON_NAME=default
# The EMAIL parameter refers to the email address associated with the          #
# company. For example, support.internet@thalesgroup.com.                      #
EMAIL=
# The UPDATE_CONFIGURATION parameter (applicable to upgrade scenario only)     #
# refers to the updatation of configuration during upgrade, if you want to     #
# retain the existing configuration from previous version installer including  #
# certificates (in case of ssl), you can set this parameter to N. In case of   #
# Y, new certificate will be generated via installer (in case of ssl) and new  #
# configurations will be applied. (Y/N)                                        #
# UPDATE_CONFIGURATION=N
